package cn.ey.biz.module.system.convert.logger;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.api.logger.dto.ApiErrorLogCreateReqDTO;
import cn.ey.biz.module.system.controller.admin.logger.vo.apierrorlog.ApiErrorLogExcelVO;
import cn.ey.biz.module.system.controller.admin.logger.vo.apierrorlog.ApiErrorLogRespVO;
import cn.ey.biz.module.system.dal.dataobject.logger.ApiErrorLogDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * API 错误日志 Convert
 *
 */
@Mapper
public interface ApiErrorLogConvert {

    ApiErrorLogConvert INSTANCE = Mappers.getMapper(ApiErrorLogConvert.class);

    ApiErrorLogRespVO convert(ApiErrorLogDO bean);

    PageResult<ApiErrorLogRespVO> convertPage(PageResult<ApiErrorLogDO> page);

    List<ApiErrorLogExcelVO> convertList02(List<ApiErrorLogDO> list);

    ApiErrorLogDO convert(ApiErrorLogCreateReqDTO bean);

}
